MTR(8)

NAME
mtr - a network diagnostic tool

SYNOPSIS
mtr [-aon -b]BcdefFilLmnNopqrsStTuvx46] TARGET[:PORT] ...

DESCRIPTION
mtr combines the functionality of the traceroute and ping programs in a single network diagnostic tool.

As mtr starts, it investigates the network connection between the host mtr runs on and TARGET by sending packets with purposely low TTLs. It continues to send packets with low TTL, noting the response time of the intervening routers. This allows mtr to print the response percentage and response times of the internet route to TARGET. A sudden increase in packet loss or response time is often an indication of a bad (or simply overloaded) link.

The results are usually reported as round-trip-response times in milliseconds and the percentage of packetloss.

OPTIONS

-a, --address IPADDRESS
    Bind outgoing packets' socket to specific interface, so that any packet will be sent through this interface. Note that this option doesn't apply to DNS requests (which could be and could not be what you want).

-B, --bitpattern NUM
    Specify bit pattern to use in payload. Should be either within range 0-255, or -1 for random sampling.

-c, --cycles COUNT
    Set number of ping cycles. Duration of one cycle is set with interval option -i, one second by default.

-d, --display MODE
    Choose the initial display mode

    1st and 2nd bits
        0 default
        1 without latency information
        2 with latency information
        3 unicode histogram

    3rd bit
        reserved

    4th bit
        color/mono mode, on/off

    5th bit
        audible bell (beep), on/off

    6th bit
        visible bell (flash), on/off

    7th bit
        bell for target host only, on/off

-e, --mpls
    Display MPLS information encoded in response packets

-f, --first-ttl NUM
    Specify initial TTL to start. Default is 1, `a' means auto (corresponding to TTL of the destination host).

-F, --fields DISPLAY-FIELDS
    Specify fields to display and their order

    Available fields:
    L   Loss ratio, %
    D   Dropped packets
    R   Received packets
    S   Sent Packets
    N   Newest RTT, msec
    B   Min/Best RTT, msec
    A   Average RTT, msec
    W   Max/Worst RTT, msec
    V   Standard Deviation
    G   Geometric Mean
    J   Current Jitter
    M   Jitter Mean/Average
    X   Worst Jitter
    I   Interarrival Jitter
    _   <space>

    Examples:
    -F LS_NABWV
    -F DR_AGJMXI

-i, --interval SECONDS
    Set number of seconds between ICMP ECHO requests. Default is 1.

-l, --lookup
    Turn on ASN lookups. The data source is riswhois.ripe.net

-L, --ipinfo ORIGIN,FIELDS
    Specify IP info origin and its fields

    Available origins and their fields:

    1 - origin.asn.cymru.com (both IPv4 and IPv6)
        ASN, Route, CC, Registry, Allocated

    2 - riswhois.ripe.net (both IPv4 and IPv6)
        Route, Origin, Descr, CC

    3 - peer.asn.shadowserver.org
        Peers, ASN, Route, AS Name, CC, Org

    4 - origin.asn.spameatingmonkey.net
        Route, ASN, Org, Allocated, CC

    5 - ip-api.com
        Country, CC, RC, Region, City, Zip, Lat, Long, TZ, ISP, Org, AS Name

    6 - asn.routeviews.org
        ASN

    Abbreviations:
    TZ  TimeZone
    Org Organization
    DMA Designated Market Area
    CC/RC/MC/LC
        Country/Region/Metro/Local Code

    Examples:
    -L5,2,5,7,8
        ip-api.com: CC City Lat Long
    -L2,4,2
        riswhois.ripe.net: CC Origin
    -L, origin.asn.cymru.com: ASN

-m, --max-ttl NUM
    Specify maximum number of hops (max time-to-live value) traceroute will probe. Default is 30.

-n, --no-dns
    Don't resolve IP addresses

-N, --ns NSADDRESS[:PORT]
    Specify nameserver instead of ones defined in resolv.conf

-o, --output r t c j x
    Use one of these suboptions to get RAW TXT CSV JSON XML formatted output respectively

-p, --split
    Split out a format that is suitable for a split-user interface

-q, --tos NUM
    Set value for type of service (ToS) field in IP header. Should be within range 0-255.

-r, --report
    This option puts mtr into report mode. When in this mode, mtr will run for the number of cycles specified by the -c option, and then print statistics and exit.

    This mode is useful for generating statistics about network quality.

    Note that each running instance of mtr generates a significant amount of network traffic. Using mtr to measure the quality of your network may result in decreased network performance.

-s, --psize BYTES
    Set payload size. A negative value is used to set it randomly within range from 0 to BYTES every cycle. Default is 56 bytes.

-S, --summary
    Print send/receive summary at exit

-t, --tcp
    Use TCP SYN packets instead of ICMP ECHO

-T, --timeout SECONDS
    The number of seconds (minimum 1, maximum 60) to keep the TCP socket open before giving up on the connection. This will only affect the final hop. Using large values for this, will use up a lot of file descriptors.

-u, --udp
    Use UDP datagrams instead of ICMP ECHO

-v, --version
    Print mtr version and build options

-x, --cache SECONDS
    Cache mode. Don't ping known hops during cache-timeout period (0 means default 60 seconds).

-4  Use IPv4 only

-6  Use IPv6 only

BUGS
Some modern routers give a lower priority to ICMP ECHO packets than to other network traffic. Consequently, the reliability of these routers reported by mtr will be significantly lower than the actual reliability of these routers.

CONTACT INFORMATION

For more information about mtr diagnostic tool, see web page at http://www.bitwizard.nl/mtr

Project's location is https://github.com/traviscross/mtr

This version is built from https://github.com/yvs2014/mtr085 fork

SEE ALSO
ping(8), traceroute(8)